Page MenuHomePhabricator

[mlir] Rename conversions involving ex-Loop dialect to mention SCF
ClosedPublic

Authored by ftynse on May 14 2020, 6:11 AM.

Details

Summary

The following Conversions are affected: LoopToStandard -> SCFToStandard,
LoopsToGPU -> SCFToGPU, VectorToLoops -> VectorToSCF. Full file paths are
affected. Additionally, drop the 'Convert' prefix from filenames living under
lib/Conversion where applicable.

API names and CLI options for pass testing are also renamed when applicable. In
particular, LoopsToGPU contains several passes that apply to different kinds of
loops (for or parallel), for which the original names are preserved.

Diff Detail

Event Timeline

ftynse created this revision.May 14 2020, 6:11 AM
Herald added a reviewer: aartbik. · View Herald Transcript
Herald added a project: Restricted Project. · View Herald Transcript
nicolasvasilache accepted this revision.May 14 2020, 9:20 AM
This revision is now accepted and ready to land.May 14 2020, 9:20 AM
This revision was automatically updated to reflect the committed changes.
rriddle added inline comments.May 27 2020, 12:51 PM
mlir/include/mlir/Conversion/SCFToGPU/SCFToGPUPass.h
8

Looks like this was missed.

mlir/lib/Conversion/SCFToGPU/SCFToGPUPass.cpp
22

Should this be renamed/removed?

ftynse marked 2 inline comments as done.Jun 2 2020, 4:03 AM
mlir/include/mlir/Conversion/SCFToGPU/SCFToGPUPass.h
8

Good catch, thanks!

mlir/lib/Conversion/SCFToGPU/SCFToGPUPass.cpp
22

Looks unused, so let's remove.

Herald added a project: Restricted Project. · View Herald TranscriptJun 2 2020, 4:03 AM